Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network83.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
83.2.0.0
Broadcast address
83.2.63.255
First usable
83.2.0.1
Last usable
83.2.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 53020000 · Integer 1392640000 to 1392656383
Reverse DNS zones
0.2.83.in-addr.arpa
1.2.83.in-addr.arpa
2.2.83.in-addr.arpa
3.2.83.in-addr.arpa
4.2.83.in-addr.arpa
5.2.83.in-addr.arpa
6.2.83.in-addr.arpa
7.2.83.in-addr.arpa
8.2.83.in-addr.arpa
9.2.83.in-addr.arpa
10.2.83.in-addr.arpa
11.2.83.in-addr.arpa
12.2.83.in-addr.arpa
13.2.83.in-addr.arpa
14.2.83.in-addr.arpa
15.2.83.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010011.00000010.00000000.0000000083.2.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01010011.00000010.00000000.0000000083.2.0.0
Broadcast01010011.00000010.00111111.1111111183.2.63.255
Split into smaller subnets/27

83.2.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
183.2.0.0/2783.2.0.1 to 83.2.0.3083.2.0.3130
283.2.0.32/2783.2.0.33 to 83.2.0.6283.2.0.6330
383.2.0.64/2783.2.0.65 to 83.2.0.9483.2.0.9530
483.2.0.96/2783.2.0.97 to 83.2.0.12683.2.0.12730
583.2.0.128/2783.2.0.129 to 83.2.0.15883.2.0.15930
683.2.0.160/2783.2.0.161 to 83.2.0.19083.2.0.19130
783.2.0.192/2783.2.0.193 to 83.2.0.22283.2.0.22330
883.2.0.224/2783.2.0.225 to 83.2.0.25483.2.0.25530
983.2.1.0/2783.2.1.1 to 83.2.1.3083.2.1.3130
1083.2.1.32/2783.2.1.33 to 83.2.1.6283.2.1.6330
1183.2.1.64/2783.2.1.65 to 83.2.1.9483.2.1.9530
1283.2.1.96/2783.2.1.97 to 83.2.1.12683.2.1.12730
1383.2.1.128/2783.2.1.129 to 83.2.1.15883.2.1.15930
1483.2.1.160/2783.2.1.161 to 83.2.1.19083.2.1.19130
1583.2.1.192/2783.2.1.193 to 83.2.1.22283.2.1.22330
1683.2.1.224/2783.2.1.225 to 83.2.1.25483.2.1.25530
1783.2.2.0/2783.2.2.1 to 83.2.2.3083.2.2.3130
1883.2.2.32/2783.2.2.33 to 83.2.2.6283.2.2.6330
1983.2.2.64/2783.2.2.65 to 83.2.2.9483.2.2.9530
2083.2.2.96/2783.2.2.97 to 83.2.2.12683.2.2.12730
2183.2.2.128/2783.2.2.129 to 83.2.2.15883.2.2.15930
2283.2.2.160/2783.2.2.161 to 83.2.2.19083.2.2.19130
2383.2.2.192/2783.2.2.193 to 83.2.2.22283.2.2.22330
2483.2.2.224/2783.2.2.225 to 83.2.2.25483.2.2.25530
2583.2.3.0/2783.2.3.1 to 83.2.3.3083.2.3.3130
2683.2.3.32/2783.2.3.33 to 83.2.3.6283.2.3.6330
2783.2.3.64/2783.2.3.65 to 83.2.3.9483.2.3.9530
2883.2.3.96/2783.2.3.97 to 83.2.3.12683.2.3.12730
2983.2.3.128/2783.2.3.129 to 83.2.3.15883.2.3.15930
3083.2.3.160/2783.2.3.161 to 83.2.3.19083.2.3.19130
3183.2.3.192/2783.2.3.193 to 83.2.3.22283.2.3.22330
3283.2.3.224/2783.2.3.225 to 83.2.3.25483.2.3.25530
3383.2.4.0/2783.2.4.1 to 83.2.4.3083.2.4.3130
3483.2.4.32/2783.2.4.33 to 83.2.4.6283.2.4.6330
3583.2.4.64/2783.2.4.65 to 83.2.4.9483.2.4.9530
3683.2.4.96/2783.2.4.97 to 83.2.4.12683.2.4.12730
3783.2.4.128/2783.2.4.129 to 83.2.4.15883.2.4.15930
3883.2.4.160/2783.2.4.161 to 83.2.4.19083.2.4.19130
3983.2.4.192/2783.2.4.193 to 83.2.4.22283.2.4.22330
4083.2.4.224/2783.2.4.225 to 83.2.4.25483.2.4.25530
4183.2.5.0/2783.2.5.1 to 83.2.5.3083.2.5.3130
4283.2.5.32/2783.2.5.33 to 83.2.5.6283.2.5.6330
4383.2.5.64/2783.2.5.65 to 83.2.5.9483.2.5.9530
4483.2.5.96/2783.2.5.97 to 83.2.5.12683.2.5.12730
4583.2.5.128/2783.2.5.129 to 83.2.5.15883.2.5.15930
4683.2.5.160/2783.2.5.161 to 83.2.5.19083.2.5.19130
4783.2.5.192/2783.2.5.193 to 83.2.5.22283.2.5.22330
4883.2.5.224/2783.2.5.225 to 83.2.5.25483.2.5.25530
4983.2.6.0/2783.2.6.1 to 83.2.6.3083.2.6.3130
5083.2.6.32/2783.2.6.33 to 83.2.6.6283.2.6.6330
5183.2.6.64/2783.2.6.65 to 83.2.6.9483.2.6.9530
5283.2.6.96/2783.2.6.97 to 83.2.6.12683.2.6.12730
5383.2.6.128/2783.2.6.129 to 83.2.6.15883.2.6.15930
5483.2.6.160/2783.2.6.161 to 83.2.6.19083.2.6.19130
5583.2.6.192/2783.2.6.193 to 83.2.6.22283.2.6.22330
5683.2.6.224/2783.2.6.225 to 83.2.6.25483.2.6.25530
5783.2.7.0/2783.2.7.1 to 83.2.7.3083.2.7.3130
5883.2.7.32/2783.2.7.33 to 83.2.7.6283.2.7.6330
5983.2.7.64/2783.2.7.65 to 83.2.7.9483.2.7.9530
6083.2.7.96/2783.2.7.97 to 83.2.7.12683.2.7.12730
6183.2.7.128/2783.2.7.129 to 83.2.7.15883.2.7.15930
6283.2.7.160/2783.2.7.161 to 83.2.7.19083.2.7.19130
6383.2.7.192/2783.2.7.193 to 83.2.7.22283.2.7.22330
6483.2.7.224/2783.2.7.225 to 83.2.7.25483.2.7.25530
6583.2.8.0/2783.2.8.1 to 83.2.8.3083.2.8.3130
6683.2.8.32/2783.2.8.33 to 83.2.8.6283.2.8.6330
6783.2.8.64/2783.2.8.65 to 83.2.8.9483.2.8.9530
6883.2.8.96/2783.2.8.97 to 83.2.8.12683.2.8.12730
6983.2.8.128/2783.2.8.129 to 83.2.8.15883.2.8.15930
7083.2.8.160/2783.2.8.161 to 83.2.8.19083.2.8.19130
7183.2.8.192/2783.2.8.193 to 83.2.8.22283.2.8.22330
7283.2.8.224/2783.2.8.225 to 83.2.8.25483.2.8.25530
7383.2.9.0/2783.2.9.1 to 83.2.9.3083.2.9.3130
7483.2.9.32/2783.2.9.33 to 83.2.9.6283.2.9.6330
7583.2.9.64/2783.2.9.65 to 83.2.9.9483.2.9.9530
7683.2.9.96/2783.2.9.97 to 83.2.9.12683.2.9.12730
7783.2.9.128/2783.2.9.129 to 83.2.9.15883.2.9.15930
7883.2.9.160/2783.2.9.161 to 83.2.9.19083.2.9.19130
7983.2.9.192/2783.2.9.193 to 83.2.9.22283.2.9.22330
8083.2.9.224/2783.2.9.225 to 83.2.9.25483.2.9.25530
8183.2.10.0/2783.2.10.1 to 83.2.10.3083.2.10.3130
8283.2.10.32/2783.2.10.33 to 83.2.10.6283.2.10.6330
8383.2.10.64/2783.2.10.65 to 83.2.10.9483.2.10.9530
8483.2.10.96/2783.2.10.97 to 83.2.10.12683.2.10.12730
8583.2.10.128/2783.2.10.129 to 83.2.10.15883.2.10.15930
8683.2.10.160/2783.2.10.161 to 83.2.10.19083.2.10.19130
8783.2.10.192/2783.2.10.193 to 83.2.10.22283.2.10.22330
8883.2.10.224/2783.2.10.225 to 83.2.10.25483.2.10.25530
8983.2.11.0/2783.2.11.1 to 83.2.11.3083.2.11.3130
9083.2.11.32/2783.2.11.33 to 83.2.11.6283.2.11.6330
9183.2.11.64/2783.2.11.65 to 83.2.11.9483.2.11.9530
9283.2.11.96/2783.2.11.97 to 83.2.11.12683.2.11.12730
9383.2.11.128/2783.2.11.129 to 83.2.11.15883.2.11.15930
9483.2.11.160/2783.2.11.161 to 83.2.11.19083.2.11.19130
9583.2.11.192/2783.2.11.193 to 83.2.11.22283.2.11.22330
9683.2.11.224/2783.2.11.225 to 83.2.11.25483.2.11.25530
9783.2.12.0/2783.2.12.1 to 83.2.12.3083.2.12.3130
9883.2.12.32/2783.2.12.33 to 83.2.12.6283.2.12.6330
9983.2.12.64/2783.2.12.65 to 83.2.12.9483.2.12.9530
10083.2.12.96/2783.2.12.97 to 83.2.12.12683.2.12.12730
10183.2.12.128/2783.2.12.129 to 83.2.12.15883.2.12.15930
10283.2.12.160/2783.2.12.161 to 83.2.12.19083.2.12.19130
10383.2.12.192/2783.2.12.193 to 83.2.12.22283.2.12.22330
10483.2.12.224/2783.2.12.225 to 83.2.12.25483.2.12.25530
10583.2.13.0/2783.2.13.1 to 83.2.13.3083.2.13.3130
10683.2.13.32/2783.2.13.33 to 83.2.13.6283.2.13.6330
10783.2.13.64/2783.2.13.65 to 83.2.13.9483.2.13.9530
10883.2.13.96/2783.2.13.97 to 83.2.13.12683.2.13.12730
10983.2.13.128/2783.2.13.129 to 83.2.13.15883.2.13.15930
11083.2.13.160/2783.2.13.161 to 83.2.13.19083.2.13.19130
11183.2.13.192/2783.2.13.193 to 83.2.13.22283.2.13.22330
11283.2.13.224/2783.2.13.225 to 83.2.13.25483.2.13.25530
11383.2.14.0/2783.2.14.1 to 83.2.14.3083.2.14.3130
11483.2.14.32/2783.2.14.33 to 83.2.14.6283.2.14.6330
11583.2.14.64/2783.2.14.65 to 83.2.14.9483.2.14.9530
11683.2.14.96/2783.2.14.97 to 83.2.14.12683.2.14.12730
11783.2.14.128/2783.2.14.129 to 83.2.14.15883.2.14.15930
11883.2.14.160/2783.2.14.161 to 83.2.14.19083.2.14.19130
11983.2.14.192/2783.2.14.193 to 83.2.14.22283.2.14.22330
12083.2.14.224/2783.2.14.225 to 83.2.14.25483.2.14.25530
12183.2.15.0/2783.2.15.1 to 83.2.15.3083.2.15.3130
12283.2.15.32/2783.2.15.33 to 83.2.15.6283.2.15.6330
12383.2.15.64/2783.2.15.65 to 83.2.15.9483.2.15.9530
12483.2.15.96/2783.2.15.97 to 83.2.15.12683.2.15.12730
12583.2.15.128/2783.2.15.129 to 83.2.15.15883.2.15.15930
12683.2.15.160/2783.2.15.161 to 83.2.15.19083.2.15.19130
12783.2.15.192/2783.2.15.193 to 83.2.15.22283.2.15.22330
12883.2.15.224/2783.2.15.225 to 83.2.15.25483.2.15.25530
12983.2.16.0/2783.2.16.1 to 83.2.16.3083.2.16.3130
13083.2.16.32/2783.2.16.33 to 83.2.16.6283.2.16.6330
13183.2.16.64/2783.2.16.65 to 83.2.16.9483.2.16.9530
13283.2.16.96/2783.2.16.97 to 83.2.16.12683.2.16.12730
13383.2.16.128/2783.2.16.129 to 83.2.16.15883.2.16.15930
13483.2.16.160/2783.2.16.161 to 83.2.16.19083.2.16.19130
13583.2.16.192/2783.2.16.193 to 83.2.16.22283.2.16.22330
13683.2.16.224/2783.2.16.225 to 83.2.16.25483.2.16.25530
13783.2.17.0/2783.2.17.1 to 83.2.17.3083.2.17.3130
13883.2.17.32/2783.2.17.33 to 83.2.17.6283.2.17.6330
13983.2.17.64/2783.2.17.65 to 83.2.17.9483.2.17.9530
14083.2.17.96/2783.2.17.97 to 83.2.17.12683.2.17.12730
14183.2.17.128/2783.2.17.129 to 83.2.17.15883.2.17.15930
14283.2.17.160/2783.2.17.161 to 83.2.17.19083.2.17.19130
14383.2.17.192/2783.2.17.193 to 83.2.17.22283.2.17.22330
14483.2.17.224/2783.2.17.225 to 83.2.17.25483.2.17.25530
14583.2.18.0/2783.2.18.1 to 83.2.18.3083.2.18.3130
14683.2.18.32/2783.2.18.33 to 83.2.18.6283.2.18.6330
14783.2.18.64/2783.2.18.65 to 83.2.18.9483.2.18.9530
14883.2.18.96/2783.2.18.97 to 83.2.18.12683.2.18.12730
14983.2.18.128/2783.2.18.129 to 83.2.18.15883.2.18.15930
15083.2.18.160/2783.2.18.161 to 83.2.18.19083.2.18.19130
15183.2.18.192/2783.2.18.193 to 83.2.18.22283.2.18.22330
15283.2.18.224/2783.2.18.225 to 83.2.18.25483.2.18.25530
15383.2.19.0/2783.2.19.1 to 83.2.19.3083.2.19.3130
15483.2.19.32/2783.2.19.33 to 83.2.19.6283.2.19.6330
15583.2.19.64/2783.2.19.65 to 83.2.19.9483.2.19.9530
15683.2.19.96/2783.2.19.97 to 83.2.19.12683.2.19.12730
15783.2.19.128/2783.2.19.129 to 83.2.19.15883.2.19.15930
15883.2.19.160/2783.2.19.161 to 83.2.19.19083.2.19.19130
15983.2.19.192/2783.2.19.193 to 83.2.19.22283.2.19.22330
16083.2.19.224/2783.2.19.225 to 83.2.19.25483.2.19.25530
16183.2.20.0/2783.2.20.1 to 83.2.20.3083.2.20.3130
16283.2.20.32/2783.2.20.33 to 83.2.20.6283.2.20.6330
16383.2.20.64/2783.2.20.65 to 83.2.20.9483.2.20.9530
16483.2.20.96/2783.2.20.97 to 83.2.20.12683.2.20.12730
16583.2.20.128/2783.2.20.129 to 83.2.20.15883.2.20.15930
16683.2.20.160/2783.2.20.161 to 83.2.20.19083.2.20.19130
16783.2.20.192/2783.2.20.193 to 83.2.20.22283.2.20.22330
16883.2.20.224/2783.2.20.225 to 83.2.20.25483.2.20.25530
16983.2.21.0/2783.2.21.1 to 83.2.21.3083.2.21.3130
17083.2.21.32/2783.2.21.33 to 83.2.21.6283.2.21.6330
17183.2.21.64/2783.2.21.65 to 83.2.21.9483.2.21.9530
17283.2.21.96/2783.2.21.97 to 83.2.21.12683.2.21.12730
17383.2.21.128/2783.2.21.129 to 83.2.21.15883.2.21.15930
17483.2.21.160/2783.2.21.161 to 83.2.21.19083.2.21.19130
17583.2.21.192/2783.2.21.193 to 83.2.21.22283.2.21.22330
17683.2.21.224/2783.2.21.225 to 83.2.21.25483.2.21.25530
17783.2.22.0/2783.2.22.1 to 83.2.22.3083.2.22.3130
17883.2.22.32/2783.2.22.33 to 83.2.22.6283.2.22.6330
17983.2.22.64/2783.2.22.65 to 83.2.22.9483.2.22.9530
18083.2.22.96/2783.2.22.97 to 83.2.22.12683.2.22.12730
18183.2.22.128/2783.2.22.129 to 83.2.22.15883.2.22.15930
18283.2.22.160/2783.2.22.161 to 83.2.22.19083.2.22.19130
18383.2.22.192/2783.2.22.193 to 83.2.22.22283.2.22.22330
18483.2.22.224/2783.2.22.225 to 83.2.22.25483.2.22.25530
18583.2.23.0/2783.2.23.1 to 83.2.23.3083.2.23.3130
18683.2.23.32/2783.2.23.33 to 83.2.23.6283.2.23.6330
18783.2.23.64/2783.2.23.65 to 83.2.23.9483.2.23.9530
18883.2.23.96/2783.2.23.97 to 83.2.23.12683.2.23.12730
18983.2.23.128/2783.2.23.129 to 83.2.23.15883.2.23.15930
19083.2.23.160/2783.2.23.161 to 83.2.23.19083.2.23.19130
19183.2.23.192/2783.2.23.193 to 83.2.23.22283.2.23.22330
19283.2.23.224/2783.2.23.225 to 83.2.23.25483.2.23.25530
19383.2.24.0/2783.2.24.1 to 83.2.24.3083.2.24.3130
19483.2.24.32/2783.2.24.33 to 83.2.24.6283.2.24.6330
19583.2.24.64/2783.2.24.65 to 83.2.24.9483.2.24.9530
19683.2.24.96/2783.2.24.97 to 83.2.24.12683.2.24.12730
19783.2.24.128/2783.2.24.129 to 83.2.24.15883.2.24.15930
19883.2.24.160/2783.2.24.161 to 83.2.24.19083.2.24.19130
19983.2.24.192/2783.2.24.193 to 83.2.24.22283.2.24.22330
20083.2.24.224/2783.2.24.225 to 83.2.24.25483.2.24.25530
20183.2.25.0/2783.2.25.1 to 83.2.25.3083.2.25.3130
20283.2.25.32/2783.2.25.33 to 83.2.25.6283.2.25.6330
20383.2.25.64/2783.2.25.65 to 83.2.25.9483.2.25.9530
20483.2.25.96/2783.2.25.97 to 83.2.25.12683.2.25.12730
20583.2.25.128/2783.2.25.129 to 83.2.25.15883.2.25.15930
20683.2.25.160/2783.2.25.161 to 83.2.25.19083.2.25.19130
20783.2.25.192/2783.2.25.193 to 83.2.25.22283.2.25.22330
20883.2.25.224/2783.2.25.225 to 83.2.25.25483.2.25.25530
20983.2.26.0/2783.2.26.1 to 83.2.26.3083.2.26.3130
21083.2.26.32/2783.2.26.33 to 83.2.26.6283.2.26.6330
21183.2.26.64/2783.2.26.65 to 83.2.26.9483.2.26.9530
21283.2.26.96/2783.2.26.97 to 83.2.26.12683.2.26.12730
21383.2.26.128/2783.2.26.129 to 83.2.26.15883.2.26.15930
21483.2.26.160/2783.2.26.161 to 83.2.26.19083.2.26.19130
21583.2.26.192/2783.2.26.193 to 83.2.26.22283.2.26.22330
21683.2.26.224/2783.2.26.225 to 83.2.26.25483.2.26.25530
21783.2.27.0/2783.2.27.1 to 83.2.27.3083.2.27.3130
21883.2.27.32/2783.2.27.33 to 83.2.27.6283.2.27.6330
21983.2.27.64/2783.2.27.65 to 83.2.27.9483.2.27.9530
22083.2.27.96/2783.2.27.97 to 83.2.27.12683.2.27.12730
22183.2.27.128/2783.2.27.129 to 83.2.27.15883.2.27.15930
22283.2.27.160/2783.2.27.161 to 83.2.27.19083.2.27.19130
22383.2.27.192/2783.2.27.193 to 83.2.27.22283.2.27.22330
22483.2.27.224/2783.2.27.225 to 83.2.27.25483.2.27.25530
22583.2.28.0/2783.2.28.1 to 83.2.28.3083.2.28.3130
22683.2.28.32/2783.2.28.33 to 83.2.28.6283.2.28.6330
22783.2.28.64/2783.2.28.65 to 83.2.28.9483.2.28.9530
22883.2.28.96/2783.2.28.97 to 83.2.28.12683.2.28.12730
22983.2.28.128/2783.2.28.129 to 83.2.28.15883.2.28.15930
23083.2.28.160/2783.2.28.161 to 83.2.28.19083.2.28.19130
23183.2.28.192/2783.2.28.193 to 83.2.28.22283.2.28.22330
23283.2.28.224/2783.2.28.225 to 83.2.28.25483.2.28.25530
23383.2.29.0/2783.2.29.1 to 83.2.29.3083.2.29.3130
23483.2.29.32/2783.2.29.33 to 83.2.29.6283.2.29.6330
23583.2.29.64/2783.2.29.65 to 83.2.29.9483.2.29.9530
23683.2.29.96/2783.2.29.97 to 83.2.29.12683.2.29.12730
23783.2.29.128/2783.2.29.129 to 83.2.29.15883.2.29.15930
23883.2.29.160/2783.2.29.161 to 83.2.29.19083.2.29.19130
23983.2.29.192/2783.2.29.193 to 83.2.29.22283.2.29.22330
24083.2.29.224/2783.2.29.225 to 83.2.29.25483.2.29.25530
24183.2.30.0/2783.2.30.1 to 83.2.30.3083.2.30.3130
24283.2.30.32/2783.2.30.33 to 83.2.30.6283.2.30.6330
24383.2.30.64/2783.2.30.65 to 83.2.30.9483.2.30.9530
24483.2.30.96/2783.2.30.97 to 83.2.30.12683.2.30.12730
24583.2.30.128/2783.2.30.129 to 83.2.30.15883.2.30.15930
24683.2.30.160/2783.2.30.161 to 83.2.30.19083.2.30.19130
24783.2.30.192/2783.2.30.193 to 83.2.30.22283.2.30.22330
24883.2.30.224/2783.2.30.225 to 83.2.30.25483.2.30.25530
24983.2.31.0/2783.2.31.1 to 83.2.31.3083.2.31.3130
25083.2.31.32/2783.2.31.33 to 83.2.31.6283.2.31.6330
25183.2.31.64/2783.2.31.65 to 83.2.31.9483.2.31.9530
25283.2.31.96/2783.2.31.97 to 83.2.31.12683.2.31.12730
25383.2.31.128/2783.2.31.129 to 83.2.31.15883.2.31.15930
25483.2.31.160/2783.2.31.161 to 83.2.31.19083.2.31.19130
25583.2.31.192/2783.2.31.193 to 83.2.31.22283.2.31.22330
25683.2.31.224/2783.2.31.225 to 83.2.31.25483.2.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses